﻿using System.Collections.Generic;

namespace ThePingMaster
{
    class ConfigurationSettings : IConfiguration
    {
        public IEnumerable<string> Addresses { get; set; }
        public int Interval { get; set; }
        public string SuccessCommand { get; set; }
        public string SuccessCommandParams { get; set; }
        public string FailureCommand { get; set; }
        public string FailureCommandParams { get; set; }
        public int RetryAttemptsBeforeFailure { get; set; }
        public int Timeout { get; set; }
        public bool RetryOnNetworkException { get; set; }
    }
}
