﻿using System.Collections.Generic;

namespace ThePingMaster
{
    public interface IConfiguration
    {
        IEnumerable<string> Addresses { get; }
        int Interval { get; }
        string SuccessCommand { get; }
        string SuccessCommandParams { get; }
        string FailureCommand { get; }
        string FailureCommandParams { get; }
        int RetryAttemptsBeforeFailure { get; }
        int Timeout { get; }
        bool RetryOnNetworkException { get; }
    }
}
